Bug 612391 - [abrt] crash in exaile-0.3.1.1-1.fc13: handlers.py:124:doRollover:OSError: [Errno 2] No such file or directory: '/home/faul/.local/share/exaile/logs/exaile.log.5'
[abrt] crash in exaile-0.3.1.1-1.fc13: handlers.py:124:doRollover:OSError: [E...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:80a65900
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 01:22 EDT by Faul
Modified: 2011-03-28 15:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: exaile-0.3.2.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 15:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1019 bytes, text/plain)
2010-07-08 01:22 EDT, Faul
no flags Details

  None (edit)
Description Faul 2010-07-08 01:22:06 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.5-124.fc13.i686.PAE
package: exaile-0.3.1.1-1.fc13
reason: handlers.py:124:doRollover:OSError: [Errno 2] No such file or directory: '/home/faul/.local/share/exaile/logs/exaile.log.5'
release: Fedora release 13 (Goddard)

backtrace
-----
handlers.py:124:doRollover:OSError: [Errno 2] No such file or directory: '/home/faul/.local/share/exaile/logs/exaile.log.5'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/exaile.py", line 52, in <module>
    main()
  File "/usr/lib/python2.6/site-packages/exaile/exaile.py", line 49, in main
    exaile = main.Exaile()
  File "/usr/lib/python2.6/site-packages/exaile/xl/main.py", line 70, in __init__
    self.setup_logging()
  File "/usr/lib/python2.6/site-packages/exaile/xl/main.py", line 289, in setup_logging
    logfile.doRollover() # each session gets its own file
  File "/usr/lib/python2.6/logging/handlers.py", line 124, in doRollover
    os.remove(dfn)
OSError: [Errno 2] No such file or directory: '/home/faul/.local/share/exaile/logs/exaile.log.5'

Local variables in innermost frame:
sfn: '/home/faul/.local/share/exaile/logs/exaile.log.4'
i: 4
self: <logging.handlers.RotatingFileHandler instance at 0x945b70c>
dfn: '/home/faul/.local/share/exaile/logs/exaile.log.5'
Comment 1 Faul 2010-07-08 01:22:11 EDT
Created attachment 430237 [details]
File: backtrace
Comment 2 Fedora Update System 2011-03-04 10:49:27 EST
Package exaile-0.3.2.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-03-04 21:22:09 EST
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
Comment 4 Fedora Update System 2011-03-28 15:23:00 EDT
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.